function powerRem = E_abs(incoming, i)

%This function combine the clouds coverage and reflectivity along with 
%   surface reflectivity to prodce the amount of radiation 
%   actually absorbed by the earth.

%get cloud albedo and coverage 
ps = 0.6605;
a_cloud = 0.98;
%
%get mean surface albedo
a_sur = 0.3;

%combine relfected radiations from clouds and surface
removed_r = ps*a_cloud + (1-ps)*a_sur;

%total raditaion reflected to space by clouds and surface
rem = incoming - incoming*removed_r;

%remaining radiation trapped on earth
powerRem = incoming - rem;